## mkdocs-redirects 1.0.6

=== Makefile ===
clean:  ## Clean intermediate build files
	find . -name '__pycache__' | xargs rm -rf
	find . -name '*.pyc' | xargs rm -rf
	rm -rf dist/
.PHONY: clean

build: clean dev  ## Build the package (source distribution)
	python setup.py sdist
.PHONY: build

dev: clean  ## Setup development environment
	pip install .[dev]
.PHONY: dev

test: dev ## Run tests
	pytest -v tests/
.PHONY: test

release: build  ## Release to PyPi
	twine upload --repository-url https://upload.pypi.org/legacy/ dist/*
.PHONY: release

## mkdocs-redirects 1.0.4

=== debian/changelog ===
mkdocs-redirects (1.0.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [608e51d] Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:26:54 +0100

mkdocs-redirects (1.0.4-1) unstable; urgency=medium

  * [cf60e92] New upstream version 1.0.4
  * [6b2c701] d/copyright: Update copyright years and holders
  * [5b9f83b] d/control: Add additional deps for internal testing
  * [6938049] d/rules: Turn on internal test suite run
  * [215ce95] autopkgtest: Adding the upstream tests as autopkgtest

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Apr 2022 11:14:06 +0200

mkdocs-redirects (1.0.1-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 01 Mar 2022 07:32:37 +0100

mkdocs-redirects (1.0.1-1) unstable; urgency=medium

  * [5e2ff6a] New upstream version 1.0.1
  * [35380aa] First and basic Debianization
    (Closes: #1006480)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Feb 2022 08:36:52 +0100

=== debian/control ===
Source: mkdocs-redirects
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 mkdocs,
 pybuild-plugin-pyproject,
 python3-poetry,
 python3-pytest,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-redirects
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-redirects.git
Homepage: https://github.com/datarobot/mkdocs-redirects

Package: mkdocs-redirects
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Plugin for mkdocs to create page redirects
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains an addon for mkdocs to create page redirects
 (e.g. for moved/renamed pages).

## mkdocs-redirects 1.0.6

=== debian/changelog ===
mkdocs-redirects (1.0.6-1) unstable; urgency=medium

  * [c136d6f] New upstream version 1.0.6

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 15 Aug 2022 10:35:55 +0200

mkdocs-redirects (1.0.5-1) unstable; urgency=medium

  * [8ceaecc] d/gbp.conf: Sign tags automatically
  * [3845a36] New upstream version 1.0.5
  * [355cbd7] d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 07 Aug 2022 14:33:45 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-poetry,
  python3-pytest,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-redirects
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-redirects.git
 Homepage: https://github.com/datarobot/mkdocs-redirects

## mkdocs-redirects 1.2.0

=== debian/changelog ===
mkdocs-redirects (1.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * [818cc0e] Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 23:47:33 +0100

mkdocs-redirects (1.2.0-1) unstable; urgency=medium

  * [17feacb] New upstream version 1.2.0
  * [452b790] d/control: Add setuptools to Build-Depends
    (Closes: #1020026)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 24 Sep 2022 06:38:19 +0200

mkdocs-redirects (1.1.0-1) unstable; urgency=medium

  * [5c8a12f] New upstream version 1.1.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 26 Aug 2022 20:34:11 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  pybuild-plugin-pyproject,
  python3-poetry,
  python3-pytest,
+ python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-redirects

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=mkdocs-redirects
export PYBUILD_SYSTEM=pyproject

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -v tests"

=== debian/watch ===
# watch file for mkdocs-redirects

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/datarobot/mkdocs-redirects.git \
      refs/tags/v@ANY_VERSION@

## mkdocs-redirects 1.2.1

=== debian/changelog ===
mkdocs-redirects (1.2.1-1) unstable; urgency=medium

  * [a4a2f70] New upstream version 1.2.1
  * [570377d] d/control: Update Standards-Version to 4.6.2
    No further changes needed.
  * [d806e61] d/*: Update new project home
  * [58cd888] d/copyright: Update copyright information and data
  * [21da503] d/gbp.conf: Drop non-needed branch setting
  * [b65a6e4] autopkgtest: Use bash within Shebang
  * [43a99f0] d/{control,rules}: Move to dh-sequence-python3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jul 2023 08:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-all,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
 Build-Depends-Indep:
- dh-python,
  mkdocs,
- pybuild-plugin-pyproject,
  python3-poetry,
  python3-pytest,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-redirects
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-redirects.git
-Homepage: https://github.com/datarobot/mkdocs-redirects
+Homepage: https://github.com/mkdocs/mkdocs-redirects
 
 Package: mkdocs-redirects
 Architecture: all

=== debian/watch ===
# watch file for mkdocs-redirects

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocs/mkdocs-redirects.git \
      refs/tags/v@ANY_VERSION@

## mkdocs-redirects 1.2.2

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 .PHONY: dev
 
 test: dev ## Run tests
-	pytest -v tests/
+	.tools/ci.sh
 .PHONY: test
 
 release: build  ## Release to PyPi

=== debian/changelog ===
mkdocs-redirects (1.2.2-1) unstable; urgency=medium

  * [9a0776a] d/watch: Add compression type gz
  * [4345cb1] New upstream version 1.2.2
  * [76bc6b3] d/control: Upstream moved to hatchling build system
  * [9d9ae90] d/control: Update Standards-Version to 4.7.0
    No further changes needed.
  * [9ab2481] d/control: Add BuildProfileSpecs on B-D
  * [f2212fe] d/copyright: Update copyright information and data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 11 Nov 2024 20:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
 Build-Depends-Indep:
- mkdocs,
- python3-poetry,
- python3-pytest,
- python3-setuptools,
+ mkdocs <!nocheck>,
+ python3-hatchling,
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocs-redirects
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocs-redirects.git
 Homepage: https://github.com/mkdocs/mkdocs-redirects

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_SYSTEM=pyproject
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
 	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest -v tests"

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,7 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/mkdocs/mkdocs-redirects.git \
